=== debian/changelog ===
ros-foxy-maliput-ros-interfaces (0.1.1-1focal) focal; urgency=high

  * Adds READMEs to the packages. (#24 <https://github.com/maliput/ros2_maliput/issues/24>)
  * Sample lane s route (#21 <https://github.com/maliput/ros2_maliput/issues/21>)
  * Routing service (#20 <https://github.com/maliput/ros2_maliput/issues/20>)
  * Road position services (#19 <https://github.com/maliput/ros2_maliput/issues/19>)
  * Removes tests to avoid breaking CI with generated files. (#13 <https://github.com/maliput/ros2_maliput/issues/13>)
  * Adds the translation interface for geometric types. (#4 <https://github.com/maliput/ros2_maliput/issues/4>)
  * Adds geometric descriptions and a few basic requests for the entities. (#3 <https://github.com/maliput/ros2_maliput/issues/3>)
  * Create a message package (#2 <https://github.com/maliput/ros2_maliput/issues/2>)
  * Contributors: Agustin Alba Chicar

 -- Agustin Alba Chicar <ag.albachicar@ekumenlabs.com>  Mon, 17 Apr 2023 03:00:00 -0000
